Subject: Re: linux-next: build failure after merge of the drivers-x86 tree

From: Hans de Goede <[email-masked]>
Date: Wed, 28 Jul 2021 19:55:54 +0200

Hi,

On 7/28/21 7:27 PM, Kammela, Gayatri wrote:
>> -----Original Message-----
>> From: Andy Shevchenko <[email-masked]>
>> Sent: Wednesday, July 28, 2021 10:02 AM
>> To: Mark Brown <[email-masked]>
>> Cc: Hans de Goede <[email-masked]>; Gross, Mark
>> <[email-masked]>; Kammela, Gayatri <[email-masked]>;
>> Rajneesh Bhardwaj <[email-masked]>; Linux Kernel Mailing List
>> <[email-masked]>; Linux Next Mailing List <linux-
>> [email-masked]>; Platform Driver <platform-driver-
>> [email-masked]>
>> Subject: Re: linux-next: build failure after merge of the drivers-x86 tree
>>
>> On Wed, Jul 28, 2021 at 7:49 PM Mark Brown <[email-masked]> wrote:
>>>
>>> Hi all,
>>>
>>> After merging the drivers-x86 tree, today's linux-next build
>>> (x86 allmodconfig) failed like this:
>>>
>>> error: the following would cause module name conflict:
>>>   drivers/misc/c2port/core.ko
>>>   drivers/platform/x86/intel/pmc/core.ko
>>>
>>> Caused by commit
>>>
>>>   29036fcc92b22d ("platform/x86/intel: intel_pmc_core: Move
>>> intel_pmc_core* files to pmc subfolder")
>>>
>>> Since there was nothing in the branch yesterday I've just dropped the
>>> tree entirely.
>>
>> Yeah, PMC Makefile should keep the object name the same, something like
>>
>> obj-$(..._PMC_...) += intel_pmc_....o
>> intel-pmc_...-y := core.o ...

Right, I will drop the patches from pdx86/for-next and do a forced push.

> Hi Andy and Mark,
> We've found the issue on our side as well and planning to push the fix soon. Would you prefer to have the whole patch series redone or just the fix ?

I've just dropped the current version of the patches,
please send the whole patch series redone.

Thanks & Regards,

Hans